import { SMouseEvent } from "@saga-web/base";
import {
  SGraphScene
} from "@saga-web/graph/lib"
import {
  ItemColor
} from "@saga-web/big";
import {
  SColor
} from '@saga-web/draw/lib';
export class FloorScene extends SGraphScene {
  constructor() {
    super()
    ItemColor.spaceColor = new SColor("#f0f0f0")
    ItemColor.wallColor = new SColor("#d4d4d4")
    ItemColor.columnColor = new SColor("#d4d4d4")
    ItemColor.virtualWallColor = new SColor("#d4d4d4")
    ItemColor.selectColor = new SColor("#f0f0f0")
    ItemColor.spaceBorderColor = new SColor("#d4d4d4")
  }

  onDoubleClick() {
    return true
  } // Function onDoubleClick()

  onKeyDown() {
    return true
  }

}